// A "main.js" fájl csak a "simple_notification.js" program tesztelésére szolgál, annak azonban nem része.

// Esemény delegálása
document.addEventListener('DOMContentLoaded', ()=>{
    document.getElementsByClassName('content')[0].addEventListener('click', eventHandler);
});

// Ezt a szöveget adjuk a hibaüzenethez
let errorText = `
Ez egy formázott hiba üzenet!<br>
Nyomja meg <span style="color:cyan">ctrl</span> + <span style="color:cyan">alt</span> + 
<span style="color:cyan">del</span> billentyűket :) 
`;

// Eseménykezelő. A "content" sztályú div elem eseményeit dolgozza fel
function eventHandler(e){
    switch(e.target.id){
        case 'n_messege':{
            notifications.message('Ez egy egíszerű, formázott üzenet', null, 'Üzenet');
            break;
        }
        case 'n_warning':{
            notifications.message('Ez egy formázott figyelmeztetés, érdemes komolyan venni!', 'warn', 'Figyelem!');
            break;
        }
        case 'n_error':{
            notifications.message(errorText,'err', 'Hiba', false);
            break;
        }
        case 't_message':{
            notifications.messagehtml(document.getElementById('txt_area_1').value);
            break;
        }
        case 'c_message':{
            notifications.messagehtml(pontos_ido(), false);
            break;
        }
        case 'm_clear':{
            notifications.clear();
            break;
        }
        case 'm_destroy':{
            notifications.destroy();
            break;
        }
    }
}

// Ez a függvény visszaadja azt az objektumot, melyet a "notifications.messagehtml" tesztelése céljából adunk át
function pontos_ido(){
    let newEl = document.createElement('DIV');
    newEl.setAttribute('style','background-color: red;color:white;font-size: 2.2rem;text-align: center; padding:4px');
    let newScript = document.createElement('SCRIPT');
    newScript.innerHTML = `
        (function(){
            let thisScript = document.currentScript;    // Elmentjük a scriptre mutató referenciát
            setInterval(()=>{
                let actualTime = new Date();
                thisScript.nextElementSibling.innerHTML = 'A pontos idő: '+ actualTime.toLocaleTimeString();
            },250);
        })();
    `;
    let newParagraph = document.createElement('P');
    newEl.appendChild(newScript);
    newEl.appendChild(newParagraph);
    return newEl
}
